OpenNMS API 1.2.9

## org.opennms.web.notification.bobject
Class NotificationTarget

    java.lang.Object
      org.opennms.web.notification.bobject.NotificationTarget

Direct Known Subclasses:
  GroupTarget, NotifTarget, UserTarget

public abstract class NotificationTarget
extends java.lang.Object

An interface used to encapsulate targets for notifications

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`static int` `TARGET_TYPE_GROUP`
`static int` `TARGET_TYPE_NOTIF`
`static int` `TARGET_TYPE_USER` The types of targets possible

Constructor Summary
`NotificationTarget()`

Method Summary
`abstract int` `getType()` Returns the type of a specific target

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TARGET_TYPE_USER

    public static final int TARGET_TYPE_USER

  The types of targets possible

  See Also:
    Constant Field Values

### TARGET_TYPE_NOTIF

    public static final int TARGET_TYPE_NOTIF

See Also:
  Constant Field Values

### TARGET_TYPE_GROUP

    public static final int TARGET_TYPE_GROUP

See Also:
  Constant Field Values

Constructor Detail

### NotificationTarget

    public NotificationTarget()

Method Detail

### getType

    public abstract int getType()

  Returns the type of a specific target

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.